curl --request POST \
--url https://api.fabric.inc/v3/inventories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"counters": {
"allocated": 10,
"onHand": 100,
"shipped": 20
},
"locationNumber": 12345,
"sku": "SKU1",
"backorderLimit": 50,
"backorderShipmentAt": "2022-08-01T20:03:28.483Z",
"customAttributes": {
"isBopis": true
},
"hasInfiniteInventory": false,
"itemId": 12345,
"leadTime": "5 days",
"lowStock": 10,
"networkCode": "ShipToHome",
"preorderLimit": 40,
"preorderShipmentAt": "2022-08-01T20:03:28.483Z",
"region": "North America",
"safetyStock": 10,
"status": " IN_STOCK",
"type": "primary",
"vendorId": "vendor1",
"virtualCountersStatus": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
}
}
'import requests
url = "https://api.fabric.inc/v3/inventories"
payload = {
"counters": {
"allocated": 10,
"onHand": 100,
"shipped": 20
},
"locationNumber": 12345,
"sku": "SKU1",
"backorderLimit": 50,
"backorderShipmentAt": "2022-08-01T20:03:28.483Z",
"customAttributes": { "isBopis": True },
"hasInfiniteInventory": False,
"itemId": 12345,
"leadTime": "5 days",
"lowStock": 10,
"networkCode": "ShipToHome",
"preorderLimit": 40,
"preorderShipmentAt": "2022-08-01T20:03:28.483Z",
"region": "North America",
"safetyStock": 10,
"status": " IN_STOCK",
"type": "primary",
"vendorId": "vendor1",
"virtualCountersStatus": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
counters: {allocated: 10, onHand: 100, shipped: 20},
locationNumber: 12345,
sku: 'SKU1',
backorderLimit: 50,
backorderShipmentAt: '2022-08-01T20:03:28.483Z',
customAttributes: {isBopis: true},
hasInfiniteInventory: false,
itemId: 12345,
leadTime: '5 days',
lowStock: 10,
networkCode: 'ShipToHome',
preorderLimit: 40,
preorderShipmentAt: '2022-08-01T20:03:28.483Z',
region: 'North America',
safetyStock: 10,
status: ' IN_STOCK',
type: 'primary',
vendorId: 'vendor1',
virtualCountersStatus: {
availableBackorder: '<string>',
availablePreorder: '<string>',
availableToPurchase: '<string>'
}
})
};
fetch('https://api.fabric.inc/v3/inventories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backorderLimit": 50,
"backorderShipmentAt": "2022-08-01T20:03:28.483Z",
"channelId": "channel_xyz",
"counters": {
"allocated": 10,
"onHand": 100,
"shipped": 20
},
"createdAt": "2022-08-01T18:03:28.483Z",
"customAttributes": {
"isBopis": true
},
"hasInfiniteInventory": false,
"inventoryId": "723910d81723",
"isNoStock": false,
"itemId": 12345,
"leadTime": "5 days",
"locationNumber": 12345,
"lowStock": 10,
"networkCode": "ShipToHome",
"networkCounters": {
"softReserve": 10
},
"preorderLimit": 40,
"preorderShipmentAt": "2022-08-01T20:03:28.483Z",
"region": "North America",
"safetyStock": 10,
"sku": "SKU1",
"status": " IN_STOCK",
"type": "primary",
"updatedAt": "2022-08-01T20:03:28.483Z",
"vendorId": "vendor1",
"virtualCounters": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
},
"virtualCountersStatus": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Following attributes not found:[notFoundAttribute]",
"type": "CLIENT_ERROR"
}{
"message": "Inventory with same item ID or SKU, location ID and channel ID already exists",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Create inventory
Create inventory based on the combination of location number, channel ID, and item ID or SKU.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Body
Create inventory request sample. Either sku or itemId is mandatory.
Inventory counter (also known as inventory position) configured by the merchant
Show child attributes
Show child attributes
{
"allocated": 10,
"onHand": 100,
"shipped": 20
}
Represents the warehouse or store location where the inventory is stored. It is recommended to link locationNumber to the corresponding value in the fabric Locations service.
12345
Product SKU (Stock Keeping Unit) identifier. It serves as the primary reference key for the inventory and provides uniqueness to the item.
"SKU1"
Maximum restock inventory quantity
50
Time when backorder is shipped
"2022-08-01T20:03:28.483Z"
Custom attributes to store additional information
Show child attributes
Show child attributes
{ "isBopis": true }
Infinite inventory flag.true: Inventory can be used any number of times and does not have any consumption limit.false: Inventory can't be used infinitely, and has a consumption limit.
false
Merchant-defined item ID whose inventory is created or updated. If omitted, fabric Inventory service generates the itemId. If you choose to use the itemId in your environment, you must include it in all inventory Write requests.
12345
Time between when an order is placed to replenish inventory and when the order is received at warehouse
"5 days"
Inventory quantity below which consumer service wants to be alerted as low stock at the location
10
Code of the network to which the inventory belongs
"ShipToHome"
Maximum first-shipping inventory quantity
40
Time when preorder is shipped
"2022-08-01T20:03:28.483Z"
Region where inventory is managed
"North America"
Reserved inventory quantity at the location
10
Inventory status IN_STOCK, LOW_STOCK, etc.
IN_STOCK, LOW_STOCK, OUT_OF_STOCK, BACKORDER_STOCK, PREORDER_STOCK " IN_STOCK"
Inventory type - a classifier attribute that provides flexibility to define inventory types
"primary"
ID of the vendor who will replenish the inventory for the retailer
"vendor1"
Virtual counters are calculated at run time from counters
Show child attributes
Show child attributes
Response
Created
Inventory response sample
Maximum restock inventory quantity
50
Time when backorder is shipped
"2022-08-01T20:03:28.483Z"
Sales channel ID; identifies business operations location.
"channel_xyz"
Merchant-defined inventory counter (also known as inventory position)
Show child attributes
Show child attributes
{
"allocated": 10,
"onHand": 100,
"shipped": 20
}
Time of inventory creation
"2022-08-01T18:03:28.483Z"
Placeholder for additional info
Show child attributes
Show child attributes
{ "isBopis": true }
Infinite inventory flag. true: Inventory can be used any number of times and does not have any consumption limit. false: Inventory can't be used infinitely, and has a consumption limit.
false
The fabric system-generated inventory ID. This ID is generated during inventory creation.
"723910d81723"
An attribute used to indicate that a SKU is out of stock.
false
Merchant-defined item ID whose inventory is created or updated. If omitted, fabric Inventory service generates the itemId. If you choose to use the itemId in your environment, you must include it in all inventory Write requests.
12345
The time between when an order is placed to replenish inventory and when the order is received at warehouse.
"5 days"
Represents the warehouse or store location where the inventory is stored. The locationNumber is crucial for inventory management. When creating or updating inventory, you need to include the locationNumber to specify which location the inventory belongs to.
12345
The lowStock parameter is used to alert low stock at a location when inventory is below a set number.
10
Code of the network to which the inventory belongs
"ShipToHome"
Indicates inventory positions at network
Show child attributes
Show child attributes
{ "softReserve": 10 }
Maximum first-shipping inventory quantity
40
Time when preorder is shipped
"2022-08-01T20:03:28.483Z"
Region where inventory is managed
"North America"
Reserved inventory quantity at the location
10
Product SKU (Stock Keeping Unit) identifier. It serves as the primary reference key for the inventory and provides uniqueness to the item.
"SKU1"
Inventory status IN_STOCK, LOW_STOCK, etc.
IN_STOCK, LOW_STOCK, OUT_OF_STOCK, BACKORDER_STOCK, PREORDER_STOCK " IN_STOCK"
Inventory type - a classifier attribute that provides flexibility to define inventory types
"primary"
Time when inventory was last updated
"2022-08-01T20:03:28.483Z"
ID of the vendor who will replenish the inventory for the retailer
"vendor1"
Virtual counters are calculated at run time from counters
Show child attributes
Show child attributes
Virtual counters are calculated at run time from counters
Show child attributes
Show child attributes
Was this page helpful?
